[教學]更新到3.13版之後要如何降級,增加美版機注意事項!

之前小弟有發表過一篇“JB過的朋友快去CYDIA備份你的ECID吧!”的教學,以前很多人都問我備份ECID是作什麼用途,首先就要解說一下iTunes的韌體更新認證機制:
iphone1.jpg
因為APPLE官方的認證伺服器會檢查韌體版本,檢查韌體版本後就只能由舊版韌體往較新版本升,所以升級韌體的動作都是不可逆的

,備份ECID在CYDIA的用途就是像現在這種不小心升級到無法JB的新韌體時可以透過CYDIA的伺服器來重新”更新”回去到舊版的韌體(也就是本來要透過APPLE的認證伺服器檢查韌體版本,現在就變成透過CYDIA的伺服器來檢查韌體版本,當然就不會有不允許韌體版本由新往舊降的問題),首先大家可能不懂什麼是ECID(Exclusive Chip
IDentification),簡單的說就是每一支iPhone獨一無二的識別碼,如果有備份的話,原則上將來APPLE不管出了任何韌體都可能可以讓
CYDIA的認證伺服器幫你將iPhone韌體版本往回降,甚至連不小心升級到3.13版都有辦法降級回來,但前提就是一定要先在已JB的狀態下CYDIA先備份ECID(所以如果你已經誤升到3.13且之前沒有備份ECID的話,那就繼續等GEOHOT大大破解吧),當然你可能會擔心那CYDIA會不會外流或作什麼壞事,我只能說我也不知道,如果擔心的話就請你不要JB也不要備份吧,首先進入CYDIA:

▲進入CYDIA後主畫面就有一個”Make my life easier,thanks!“。



備份完畢後會顯示”This device has pending TSS
request.”等待CYDIA核准,要知道這個服務CYDIA有數量限制而且他也可以拒絕你的備份要求,所以現在就只能等了,快的話我朋友按下去
RELOAD後就過了,我等了一個小時,也有聽過十幾個小時的案例。


▲只要Cydia審核通過後,CYDIA就會顯示”This device has a 3.1 ECID SHSH on File.”了。

接下來如果你不小心更新到3.13版或是更新版本無法JB的新韌體時就可以透過欺騙iTunes的方式連線到Cydia作者Saurik建立的Server,來降級到舊版韌體:
01.jpg
▲於C:Windows\System32\drivers\etc下,找到host。

02.jpg
▲將hosts備份起來,以防失敗。

03.jpg

04.jpg
▲使用notepad開啟host。

05.jpg
▲加入74.208.10.249 gs.apple.com,儲存後關閉, 若是Windows Vista或7的用戶,請對NOTEPAD按右鍵,選擇「以系統管理員身份執行」,否則會無法儲存。

接著下載3.12版韌體:
iPhone 2G 3.12版韌體
iPhone 3G 3.12版韌體
iPhone 3Gs 3.12版韌體

再將iphone設定至DFU模式(方法:保持iphone與itune數據線連接,並將iphone關機(關閉電源),接著按住iPhone的home鍵不要鬆手接著再按一下電源鍵,記住電源鍵只
要輕輕按一下,但不要鬆開按home鍵,等待十餘秒,電腦中的itunes就會識別出有個在恢復模式中的iphone,此時iphone的螢幕依然是沒有畫面的黑屏,那時才可以放開Home鍵進入DFU模式):
ST835243-1.jpg
▲依照上圖進入DFU模式。

進入DFU模式後iTunes會偵測到有支在恢復模式的iPhone,如下圖:
20090623145547218.jpg
在itunes的更新畫面中的回覆按鈕上面按住Shift再點擊”回覆”,然後手動選擇相對應的韌體,也就是剛剛下載的OS3.12的韌體檔。

接下來的步驟就跟一般JB相同了,今天有機會將一台iPhone美版機降級,請注意現在美版機如果升到3.13版後BASEBAND會被升到5.12,就算韌體降回3.12版但是BASEBAND一樣降不回來,除非你的BOOTROM是早期的5.08版(較新的iPhone3G/3GS Bootrom都是5.09~6.02以上)才能用FUZZYBAND降級,不然就算用Blackra1n和Blacksn0w也無法解SIM鎖喔!

Fuzzyband使用法:
進入Cydia後新增一個SOURCE(不會新增SOURCE的人請參考這一篇),網址為http://repo.sinfuliphone.com。


▲接下來在cydia搜尋中fuzzy,就會找到Fuzzyband。

安裝Fuzzyband:

在主畫面中就會有FuzzyBand,點選執行:


後就是要賭你的運氣了,檢查你的Bootloader,如果Bootloader是5.08版的話,恭喜你!執行後BASEBAND就會降回到
4.26.08,但你的Bootloader如果是5.09版或更新的話,很抱歉,你只能繼續等下去,等高手破解5.09的安全漏洞來降級了,安心的把
iPhone當iTouch用吧:

▲5.09版很不幸的就是Not Supported

您也許會喜歡:

【隱藏好康】4G吃到飽只要$288 還可以自由配!?